## PhoshDBusDisplayConfigSkeleton

PhoshDBusDisplayConfigSkeleton

## Functions

GDBusInterfaceInfo * | phosh_dbus_display_config_interface_info ()
guint | phosh_dbus_display_config_override_properties ()
void | phosh_dbus_display_config_complete_get_resources ()
void | phosh_dbus_display_config_complete_apply_configuration ()
void | phosh_dbus_display_config_complete_change_backlight ()
void | phosh_dbus_display_config_complete_get_crtc_gamma ()
void | phosh_dbus_display_config_complete_set_crtc_gamma ()
void | phosh_dbus_display_config_complete_get_current_state ()
void | phosh_dbus_display_config_complete_apply_monitors_config ()
void | phosh_dbus_display_config_emit_monitors_changed ()
void | phosh_dbus_display_config_call_get_resources ()
gboolean | phosh_dbus_display_config_call_get_resources_finish ()
gboolean | phosh_dbus_display_config_call_get_resources_sync ()
void | phosh_dbus_display_config_call_apply_configuration ()
gboolean | phosh_dbus_display_config_call_apply_configuration_finish ()
gboolean | phosh_dbus_display_config_call_apply_configuration_sync ()
void | phosh_dbus_display_config_call_change_backlight ()
gboolean | phosh_dbus_display_config_call_change_backlight_finish ()
gboolean | phosh_dbus_display_config_call_change_backlight_sync ()
void | phosh_dbus_display_config_call_get_crtc_gamma ()
gboolean | phosh_dbus_display_config_call_get_crtc_gamma_finish ()
gboolean | phosh_dbus_display_config_call_get_crtc_gamma_sync ()
void | phosh_dbus_display_config_call_set_crtc_gamma ()
gboolean | phosh_dbus_display_config_call_set_crtc_gamma_finish ()
gboolean | phosh_dbus_display_config_call_set_crtc_gamma_sync ()
void | phosh_dbus_display_config_call_get_current_state ()
gboolean | phosh_dbus_display_config_call_get_current_state_finish ()
gboolean | phosh_dbus_display_config_call_get_current_state_sync ()
void | phosh_dbus_display_config_call_apply_monitors_config ()
gboolean | phosh_dbus_display_config_call_apply_monitors_config_finish ()
gboolean | phosh_dbus_display_config_call_apply_monitors_config_sync ()
gint | phosh_dbus_display_config_get_power_save_mode ()
void | phosh_dbus_display_config_set_power_save_mode ()
gboolean | phosh_dbus_display_config_get_panel_orientation_managed ()
void | phosh_dbus_display_config_set_panel_orientation_managed ()
void | phosh_dbus_display_config_proxy_new ()
PhoshDBusDisplayConfig * | phosh_dbus_display_config_proxy_new_finish ()
PhoshDBusDisplayConfig * | phosh_dbus_display_config_proxy_new_sync ()
void | phosh_dbus_display_config_proxy_new_for_bus ()
PhoshDBusDisplayConfig * | phosh_dbus_display_config_proxy_new_for_bus_finish ()
PhoshDBusDisplayConfig * | phosh_dbus_display_config_proxy_new_for_bus_sync ()
PhoshDBusDisplayConfig * | phosh_dbus_display_config_skeleton_new ()

## Properties

gboolean | panel-orientation-managed | Read / Write
int | power-save-mode | Read / Write

## Signals

gboolean | handle-apply-configuration | Run Last
gboolean | handle-apply-monitors-config | Run Last
gboolean | handle-change-backlight | Run Last
gboolean | handle-get-crtc-gamma | Run Last
gboolean | handle-get-current-state | Run Last
gboolean | handle-get-resources | Run Last
gboolean | handle-set-crtc-gamma | Run Last
void | monitors-changed | Run Last

## Types and Values

struct | PhoshDBusDisplayConfigIface
struct | PhoshDBusDisplayConfigProxy
struct | PhoshDBusDisplayConfigProxyClass
struct | PhoshDBusDisplayConfigSkeleton
struct | PhoshDBusDisplayConfigSkeletonClass
| PhoshDBusDisplayConfig
| PhoshDBusDisplayConfigProxyPrivate
| PhoshDBusDisplayConfigSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshDBusDisplayConfig
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshDBusDisplayConfigSkeleton
        │       ╰── PhoshMonitorManager
        ╰── GDBusProxy
            ╰── PhoshDBusDisplayConfigProxy

## Prerequisites

PhoshDBusDisplayConfig requires GObject.

## Implemented Interfaces

PhoshDBusDisplayConfigProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshDBusDisplayConfig.

PhoshDBusDisplayConfigSkeleton implements GDBusInterface and PhoshDBusDisplayConfig.

## Known Implementations

PhoshDBusDisplayConfig is implemented by PhoshDBusDisplayConfigProxy, PhoshDBusDisplayConfigSkeleton and PhoshMonitorManager.

## Description

## Functions

### phosh_dbus_display_config_interface_info ()

    GDBusInterfaceInfo *
    phosh_dbus_display_config_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.Mutter.DisplayConfig D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_dbus_display_config_override_properties ()

    guint
    phosh_dbus_display_config_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshDBusDisplayConfig interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_dbus_display_config_complete_get_resources ()

    void
    phosh_dbus_display_config_complete_get_resources
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation,
                                    guint serial,
                                    GVariant *crtcs,
                                    GVariant *outputs,
                                    GVariant *modes,
                                    gint max_screen_width,
                                    gint max_screen_height);

Helper function used in service implementations to finish handling invocations of the `GetResources()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]
serial | Parameter to return. |
crtcs | Parameter to return. |
outputs | Parameter to return. |
modes | Parameter to return. |
max_screen_width | Parameter to return. |
max_screen_height | Parameter to return. |

### phosh_dbus_display_config_complete_apply_configuration ()

    void
    phosh_dbus_display_config_complete_apply_configuration
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ApplyConfiguration()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_display_config_complete_change_backlight ()

    void
    phosh_dbus_display_config_complete_change_backlight
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation,
                                    gint new_value);

Helper function used in service implementations to finish handling invocations of the `ChangeBacklight()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]
new_value | Parameter to return. |

### phosh_dbus_display_config_complete_get_crtc_gamma ()

    void
    phosh_dbus_display_config_complete_get_crtc_gamma
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation,
                                    GVariant *red,
                                    GVariant *green,
                                    GVariant *blue);

Helper function used in service implementations to finish handling invocations of the `GetCrtcGamma()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]
red | Parameter to return. |
green | Parameter to return. |
blue | Parameter to return. |

### phosh_dbus_display_config_complete_set_crtc_gamma ()

    void
    phosh_dbus_display_config_complete_set_crtc_gamma
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetCrtcGamma()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_display_config_complete_get_current_state ()

    void
    phosh_dbus_display_config_complete_get_current_state
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation,
                                    guint serial,
                                    GVariant *monitors,
                                    GVariant *logical_monitors,
                                    GVariant *properties);

Helper function used in service implementations to finish handling invocations of the `GetCurrentState()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]
serial | Parameter to return. |
monitors | Parameter to return. |
logical_monitors | Parameter to return. |
properties | Parameter to return. |

### phosh_dbus_display_config_complete_apply_monitors_config ()

    void
    phosh_dbus_display_config_complete_apply_monitors_config
                                   (PhoshDBusDisplayConfig *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ApplyMonitorsConfig()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. | [transfer full]

### phosh_dbus_display_config_emit_monitors_changed ()

    void
    phosh_dbus_display_config_emit_monitors_changed
                                   (PhoshDBusDisplayConfig *object);

Emits the "MonitorsChanged" D-Bus signal.

#### Parameters

object | A PhoshDBusDisplayConfig. |

### phosh_dbus_display_config_call_get_resources ()

    void
    phosh_dbus_display_config_call_get_resources
                                   (PhoshDBusDisplayConfig *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetResources()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_get_resources_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_get_resources_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_get_resources_finish ()

    gboolean
    phosh_dbus_display_config_call_get_resources_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint *out_serial,
                                    GVariant **out_crtcs,
                                    GVariant **out_outputs,
                                    GVariant **out_modes,
                                    gint *out_max_screen_width,
                                    gint *out_max_screen_height,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_get_resources()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
out_serial | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_crtcs | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_outputs | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_modes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_max_screen_width | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_max_screen_height | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_get_resources()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_get_resources_sync ()

    gboolean
    phosh_dbus_display_config_call_get_resources_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint *out_serial,
                                    GVariant **out_crtcs,
                                    GVariant **out_outputs,
                                    GVariant **out_modes,
                                    gint *out_max_screen_width,
                                    gint *out_max_screen_height,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetResources()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_get_resources()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
out_serial | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_crtcs | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_outputs | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_modes | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_max_screen_width | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_max_screen_height | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_apply_configuration ()

    void
    phosh_dbus_display_config_call_apply_configuration
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    gboolean arg_persistent,
                                    GVariant *arg_crtcs,
                                    GVariant *arg_outputs,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ApplyConfiguration()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_apply_configuration_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_apply_configuration_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_persistent | Argument to pass with the method invocation. |
arg_crtcs | Argument to pass with the method invocation. |
arg_outputs | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_apply_configuration_finish ()

    gboolean
    phosh_dbus_display_config_call_apply_configuration_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_apply_configuration()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_apply_configuration()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_apply_configuration_sync ()

    gboolean
    phosh_dbus_display_config_call_apply_configuration_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    gboolean arg_persistent,
                                    GVariant *arg_crtcs,
                                    GVariant *arg_outputs,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ApplyConfiguration()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_apply_configuration()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_persistent | Argument to pass with the method invocation. |
arg_crtcs | Argument to pass with the method invocation. |
arg_outputs | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_change_backlight ()

    void
    phosh_dbus_display_config_call_change_backlight
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_output,
                                    gint arg_value,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ChangeBacklight()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_change_backlight_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_change_backlight_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_output | Argument to pass with the method invocation. |
arg_value | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_change_backlight_finish ()

    gboolean
    phosh_dbus_display_config_call_change_backlight_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    gint *out_new_value,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_change_backlight()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
out_new_value | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_change_backlight()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_change_backlight_sync ()

    gboolean
    phosh_dbus_display_config_call_change_backlight_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_output,
                                    gint arg_value,
                                    gint *out_new_value,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ChangeBacklight()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_change_backlight()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_output | Argument to pass with the method invocation. |
arg_value | Argument to pass with the method invocation. |
out_new_value | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_get_crtc_gamma ()

    void
    phosh_dbus_display_config_call_get_crtc_gamma
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_crtc,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetCrtcGamma()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_get_crtc_gamma_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_get_crtc_gamma_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_crtc | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_get_crtc_gamma_finish ()

    gboolean
    phosh_dbus_display_config_call_get_crtc_gamma_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    GVariant **out_red,
                                    GVariant **out_green,
                                    GVariant **out_blue,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_get_crtc_gamma()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
out_red | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_green | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_blue | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_get_crtc_gamma()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_get_crtc_gamma_sync ()

    gboolean
    phosh_dbus_display_config_call_get_crtc_gamma_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_crtc,
                                    GVariant **out_red,
                                    GVariant **out_green,
                                    GVariant **out_blue,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetCrtcGamma()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_get_crtc_gamma()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_crtc | Argument to pass with the method invocation. |
out_red | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_green | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_blue | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_set_crtc_gamma ()

    void
    phosh_dbus_display_config_call_set_crtc_gamma
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_crtc,
                                    GVariant *arg_red,
                                    GVariant *arg_green,
                                    GVariant *arg_blue,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetCrtcGamma()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_set_crtc_gamma_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_set_crtc_gamma_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_crtc | Argument to pass with the method invocation. |
arg_red | Argument to pass with the method invocation. |
arg_green | Argument to pass with the method invocation. |
arg_blue | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_set_crtc_gamma_finish ()

    gboolean
    phosh_dbus_display_config_call_set_crtc_gamma_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_set_crtc_gamma()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_set_crtc_gamma()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_set_crtc_gamma_sync ()

    gboolean
    phosh_dbus_display_config_call_set_crtc_gamma_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_crtc,
                                    GVariant *arg_red,
                                    GVariant *arg_green,
                                    GVariant *arg_blue,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetCrtcGamma()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_set_crtc_gamma()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_crtc | Argument to pass with the method invocation. |
arg_red | Argument to pass with the method invocation. |
arg_green | Argument to pass with the method invocation. |
arg_blue | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_get_current_state ()

    void
    phosh_dbus_display_config_call_get_current_state
                                   (PhoshDBusDisplayConfig *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `GetCurrentState()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_get_current_state_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_get_current_state_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_get_current_state_finish ()

    gboolean
    phosh_dbus_display_config_call_get_current_state_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint *out_serial,
                                    GVariant **out_monitors,
                                    GVariant **out_logical_monitors,
                                    GVariant **out_properties,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_get_current_state()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
out_serial | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_monitors | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_logical_monitors | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_get_current_state()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_get_current_state_sync ()

    gboolean
    phosh_dbus_display_config_call_get_current_state_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint *out_serial,
                                    GVariant **out_monitors,
                                    GVariant **out_logical_monitors,
                                    GVariant **out_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `GetCurrentState()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_get_current_state()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
out_serial | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_monitors | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_logical_monitors | Return location for return parameter or `NULL` to ignore. | [out][optional]
out_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_apply_monitors_config ()

    void
    phosh_dbus_display_config_call_apply_monitors_config
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_method,
                                    GVariant *arg_logical_monitors,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ApplyMonitorsConfig()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_call_apply_monitors_config_finish()` to get the result of the operation.

See `phosh_dbus_display_config_call_apply_monitors_config_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_method | Argument to pass with the method invocation. |
arg_logical_monitors | Argument to pass with the method invocation. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_call_apply_monitors_config_finish ()

    gboolean
    phosh_dbus_display_config_call_apply_monitors_config_finish
                                   (PhoshDBusDisplayConfig *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_call_apply_monitors_config()`.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_call_apply_monitors_config()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_call_apply_monitors_config_sync ()

    gboolean
    phosh_dbus_display_config_call_apply_monitors_config_sync
                                   (PhoshDBusDisplayConfig *proxy,
                                    guint arg_serial,
                                    guint arg_method,
                                    GVariant *arg_logical_monitors,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ApplyMonitorsConfig()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_call_apply_monitors_config()` for the asynchronous version of this method.

#### Parameters

proxy | A PhoshDBusDisplayConfigProxy. |
arg_serial | Argument to pass with the method invocation. |
arg_method | Argument to pass with the method invocation. |
arg_logical_monitors | Argument to pass with the method invocation. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### phosh_dbus_display_config_get_power_save_mode ()

    gint
    phosh_dbus_display_config_get_power_save_mode
                                   (PhoshDBusDisplayConfig *object);

Gets the value of the "PowerSaveMode" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusDisplayConfig. |

#### Returns

The property value.

### phosh_dbus_display_config_set_power_save_mode ()

    void
    phosh_dbus_display_config_set_power_save_mode
                                   (PhoshDBusDisplayConfig *object,
                                    gint value);

Sets the "PowerSaveMode" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusDisplayConfig. |
value | The value to set. |

### phosh_dbus_display_config_get_panel_orientation_managed ()

    gboolean
    phosh_dbus_display_config_get_panel_orientation_managed
                                   (PhoshDBusDisplayConfig *object);

Gets the value of the "PanelOrientationManaged" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshDBusDisplayConfig. |

#### Returns

The property value.

### phosh_dbus_display_config_set_panel_orientation_managed ()

    void
    phosh_dbus_display_config_set_panel_orientation_managed
                                   (PhoshDBusDisplayConfig *object,
                                    gboolean value);

Sets the "PanelOrientationManaged" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshDBusDisplayConfig. |
value | The value to set. |

### phosh_dbus_display_config_proxy_new ()

    void
    phosh_dbus_display_config_proxy_new (GDBusConnection *connection,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.Mutter.DisplayConfig. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_proxy_new_finish()` to get the result of the operation.

See `phosh_dbus_display_config_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_proxy_new_finish ()

    PhoshDBusDisplayConfig *
    phosh_dbus_display_config_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusDisplayConfigProxy]

### phosh_dbus_display_config_proxy_new_sync ()

    PhoshDBusDisplayConfig *
    phosh_dbus_display_config_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.Mutter.DisplayConfig. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusDisplayConfigProxy]

### phosh_dbus_display_config_proxy_new_for_bus ()

    void
    phosh_dbus_display_config_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_dbus_display_config_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_dbus_display_config_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_dbus_display_config_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_dbus_display_config_proxy_new_for_bus_finish ()

    PhoshDBusDisplayConfig *
    phosh_dbus_display_config_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_dbus_display_config_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_dbus_display_config_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusDisplayConfigProxy]

### phosh_dbus_display_config_proxy_new_for_bus_sync ()

    PhoshDBusDisplayConfig *
    phosh_dbus_display_config_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_dbus_display_config_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_dbus_display_config_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshDBusDisplayConfigProxy]

### phosh_dbus_display_config_skeleton_new ()

    PhoshDBusDisplayConfig *
    phosh_dbus_display_config_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.gnome.Mutter.DisplayConfig.

#### Returns

The skeleton object.

[transfer full][type PhoshDBusDisplayConfigSkeleton]

## Types and Values

### struct PhoshDBusDisplayConfigIface

    struct PhoshDBusDisplayConfigIface {
      GTypeInterface parent_iface;

      gboolean (*handle_apply_configuration) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation,
        guint arg_serial,
        gboolean arg_persistent,
        GVariant *arg_crtcs,
        GVariant *arg_outputs);

      gboolean (*handle_apply_monitors_config) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation,
        guint arg_serial,
        guint arg_method,
        GVariant *arg_logical_monitors,
        GVariant *arg_properties);

      gboolean (*handle_change_backlight) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation,
        guint arg_serial,
        guint arg_output,
        gint arg_value);

      gboolean (*handle_get_crtc_gamma) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation,
        guint arg_serial,
        guint arg_crtc);

      gboolean (*handle_get_current_state) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_get_resources) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set_crtc_gamma) (
        PhoshDBusDisplayConfig *object,
        GDBusMethodInvocation *invocation,
        guint arg_serial,
        guint arg_crtc,
        GVariant *arg_red,
        GVariant *arg_green,
        GVariant *arg_blue);

      gboolean  (*get_panel_orientation_managed) (PhoshDBusDisplayConfig *object);

      gint  (*get_power_save_mode) (PhoshDBusDisplayConfig *object);

      void (*monitors_changed) (
        PhoshDBusDisplayConfig *object);
    };

Virtual table for the D-Bus interface org.gnome.Mutter.DisplayConfig.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_apply_configuration` () | Handler for the “handle-apply-configuration” signal. |
`handle_apply_monitors_config` () | Handler for the “handle-apply-monitors-config” signal. |
`handle_change_backlight` () | Handler for the “handle-change-backlight” signal. |
`handle_get_crtc_gamma` () | Handler for the “handle-get-crtc-gamma” signal. |
`handle_get_current_state` () | Handler for the “handle-get-current-state” signal. |
`handle_get_resources` () | Handler for the “handle-get-resources” signal. |
`handle_set_crtc_gamma` () | Handler for the “handle-set-crtc-gamma” signal. |
`get_panel_orientation_managed` () | Getter for the “panel-orientation-managed” property. |
`get_power_save_mode` () | Getter for the “power-save-mode” property. |
`monitors_changed` () | Handler for the “monitors-changed” signal. |

### struct PhoshDBusDisplayConfigProxy

    struct PhoshDBusDisplayConfigProxy;

The PhoshDBusDisplayConfigProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshDBusDisplayConfigProxyClass

    struct PhoshDBusDisplayConfigProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshDBusDisplayConfigProxy.

#### Members

### struct PhoshDBusDisplayConfigSkeleton

    struct PhoshDBusDisplayConfigSkeleton;

The PhoshDBusDisplayConfigSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshDBusDisplayConfigSkeletonClass

    struct PhoshDBusDisplayConfigSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshDBusDisplayConfigSkeleton.

#### Members

### PhoshDBusDisplayConfig

    typedef struct _PhoshDBusDisplayConfig PhoshDBusDisplayConfig;

Abstract interface type for the D-Bus interface org.gnome.Mutter.DisplayConfig.

### PhoshDBusDisplayConfigProxyPrivate

    typedef struct _PhoshDBusDisplayConfigProxyPrivate PhoshDBusDisplayConfigProxyPrivate;

### PhoshDBusDisplayConfigSkeletonPrivate

    typedef struct _PhoshDBusDisplayConfigSkeletonPrivate PhoshDBusDisplayConfigSkeletonPrivate;

## Property Details

### The `“panel-orientation-managed”` property

      “panel-orientation-managed” gboolean

Represents the D-Bus property "PanelOrientationManaged".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshDBusDisplayConfig

Flags: Read / Write

Default value: FALSE

### The `“power-save-mode”` property

      “power-save-mode”          int

Represents the D-Bus property "PowerSaveMode".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: PhoshDBusDisplayConfig

Flags: Read / Write

Default value: 0

## Signal Details

### The `“handle-apply-configuration”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   guint                   arg_serial,
                   gboolean                arg_persistent,
                   GVariant               *arg_crtcs,
                   GVariant               *arg_outputs,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `ApplyConfiguration()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_apply_configuration()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
arg_serial | Argument passed by remote caller. |
arg_persistent | Argument passed by remote caller. |
arg_crtcs | Argument passed by remote caller. |
arg_outputs | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-apply-monitors-config”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   guint                   arg_serial,
                   guint                   arg_method,
                   GVariant               *arg_logical_monitors,
                   GVariant               *arg_properties,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `ApplyMonitorsConfig()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_apply_monitors_config()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
arg_serial | Argument passed by remote caller. |
arg_method | Argument passed by remote caller. |
arg_logical_monitors | Argument passed by remote caller. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-change-backlight”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   guint                   arg_serial,
                   guint                   arg_output,
                   int                     arg_value,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `ChangeBacklight()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_change_backlight()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
arg_serial | Argument passed by remote caller. |
arg_output | Argument passed by remote caller. |
arg_value | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-crtc-gamma”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   guint                   arg_serial,
                   guint                   arg_crtc,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `GetCrtcGamma()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_get_crtc_gamma()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
arg_serial | Argument passed by remote caller. |
arg_crtc | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-current-state”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `GetCurrentState()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_get_current_state()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-get-resources”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `GetResources()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_get_resources()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-crtc-gamma”` signal

    gboolean
    user_function (PhoshDBusDisplayConfig *object,
                   GDBusMethodInvocation  *invocation,
                   guint                   arg_serial,
                   guint                   arg_crtc,
                   GVariant               *arg_red,
                   GVariant               *arg_green,
                   GVariant               *arg_blue,
                   gpointer                user_data)

Signal emitted when a remote caller is invoking the `SetCrtcGamma()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_dbus_display_config_complete_set_crtc_gamma()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A PhoshDBusDisplayConfig. |
invocation | A GDBusMethodInvocation. |
arg_serial | Argument passed by remote caller. |
arg_crtc | Argument passed by remote caller. |
arg_red | Argument passed by remote caller. |
arg_green | Argument passed by remote caller. |
arg_blue | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“monitors-changed”` signal

    void
    user_function (PhoshDBusDisplayConfig *object,
                   gpointer                user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "MonitorsChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A PhoshDBusDisplayConfig. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last